import { Coord } from 'utils/packPositions';
declare class OneDirectionalCoordMap extends Map {
    get(key: Coord): any;
    set(key: Coord, value: Coord): this;
    delete(coord: Coord): boolean;
    has(coord: Coord): boolean;
    entries(): IterableIterator<[Coord, Coord]>;
    values(): IterableIterator<Coord>;
    keys(): IterableIterator<Coord>;
    [Symbol.iterator](): IterableIterator<[Coord, Coord]>;
}
export declare class CoordMap extends OneDirectionalCoordMap {
    reversed: OneDirectionalCoordMap;
    set(key: Coord, value: Coord): this;
    delete(coord: Coord): boolean;
    clear(): void;
}
export {};
