/// <reference types="screeps" />
declare global {
    interface CreepMemory {
        state?: 'HARVEST' | 'UPGRADE' | 'DEPOSIT';
        harvestSource?: Id<Source>;
        room: string;
    }
}
export declare const worker: {
    spawn: (spawn: StructureSpawn) => void;
    run: (creep: Creep) => void;
};
