import { TestResult } from '../tests';
import { CartographerTestCase } from './CartographerTestCase';
export declare class TestCPU extends CartographerTestCase {
    _creeps: {
        c1: string;
        c2: string;
    };
    retries: number;
    testRegion: {
        w: number;
        h: number;
    };
    targetPos1: RoomPosition | undefined;
    phase: 'setup' | 'run';
    running: number | undefined;
    targetPos: RoomPosition | undefined;
    targetRange: number;
    cpuUsed: {
        cartographer: number;
        builtin: number;
    };
    test(): TestResult;
}
