import { TestResult } from '../tests';
import { CartographerTestCase } from './CartographerTestCase';
export declare class TestShovingCostMatrix extends CartographerTestCase {
    _creeps: {
        c1: string;
        c2: string;
    };
    timeout: number;
    retries: number;
    testRegion: {
        w: number;
        h: number;
    };
    targetPos1: RoomPosition | undefined;
    targetPos2: RoomPosition | undefined;
    blockedSquares: RoomPosition[] | undefined;
    phase: 'setup' | 'run';
    running: number | undefined;
    /**
     * At the end of a path, we check to see if there are any other viable target squares (besides the final path
     * square). These need to be filtered based on the roomCallback to make sure we aren't stepping in a blocked square.
     */
    test(): TestResult;
}
