import { TestBlockSquare } from './TestBlockSquare';
import { TestCachedPaths } from './TestCachedPaths';
import { TestCPU } from './TestCPU';
import { TestDeadlock } from './TestDeadlock';
import { TestDynamicAvoidance } from './TestDynamicAvoidance';
import { TestFlee } from './TestFlee';
import { TestOpportunitySquares } from './TestOpportunitySquares';
import { TestPackPosList } from './TestPackPosList';
import { TestPortals } from './TestPortals';
import { TestPriority } from './TestPriority';
import { TestPulling } from './TestPulling';
import { TestRoomEdgeRange } from './TestRoomEdgeRange';
import { TestRoomPositionPerformance } from './TestRoomPositionPerformance';
import { TestShove } from './TestShove';
import { TestShovingCostMatrix } from './TestShovingCostMatrix';
import { TestStuck } from './TestStuck';
import { TestSwarm } from './TestSwarm';
import { TestTrain } from './TestTrain';
export declare const allTestCases: (TestBlockSquare | TestCachedPaths | TestCPU | TestDeadlock | TestDynamicAvoidance | TestFlee | TestOpportunitySquares | TestPackPosList | TestPortals | TestPriority | TestPulling | TestRoomEdgeRange | TestRoomPositionPerformance | TestShove | TestShovingCostMatrix | TestStuck | TestSwarm | TestTrain)[];
export declare const testCases: (TestBlockSquare | TestCachedPaths | TestCPU | TestDeadlock | TestDynamicAvoidance | TestFlee | TestOpportunitySquares | TestPackPosList | TestPortals | TestPriority | TestPulling | TestRoomEdgeRange | TestRoomPositionPerformance | TestShove | TestShovingCostMatrix | TestStuck | TestSwarm | TestTrain)[];
export declare let testCasesComplete: boolean;
export declare function runTestCases(): void;
