/// <reference types="screeps" />
import { MoveByCachedPathOpts } from './cachedPaths';
/**
 * Moves a creep along a cached path. If `opts.reverse`, moves it backwards.
 * If the creep isn't already on the path, it moves to the path first. Returns
 * ERR_NO_PATH if the cached path doesn't exist.
 */
export declare function moveByPath(creep: Creep | PowerCreep, key: string, opts?: MoveByCachedPathOpts): -2 | -10 | CreepMoveReturnCode | -5;
