import { TestResult } from '../tests';
import { CartographerTestCase } from './CartographerTestCase';
/**
 * This test simulates following a cached path to a destination
 * while avoiding an enemy along the path
 */
export declare class TestDynamicAvoidance extends CartographerTestCase {
    _creeps: {
        c1: string;
    };
    phase: number;
    targetPos?: RoomPosition;
    avoidanceSquare?: RoomPosition;
    test(): TestResult;
    cleanup(): void;
}
