import { TestResult } from '../tests';
import { CartographerTestCase } from './CartographerTestCase';
/**
 * This test is specific to the default private server
 * map and requires portals to be added between (25, 25, W0N5)
 * and (25, 25, W10N5). The reset-docker.sh script will handle
 * this automatically.
 */
export declare class TestPortals extends CartographerTestCase {
    _creeps: {
        c1: string;
        c2: string;
    };
    retries: number;
    timeout: number;
    findRoute: boolean;
    generatedPath: boolean;
    crossedPortal: boolean;
    c1Done: boolean;
    c2Done: boolean;
    test(): TestResult;
}
