import { TestResult } from '../tests';
import { CartographerTestCase } from './CartographerTestCase';
export declare class TestTrain extends CartographerTestCase {
    _creeps: {
        c1: string;
        t1: string;
        t2: string;
    };
    timeout: number;
    retries: number;
    testRegion: {
        w: number;
        h: number;
    };
    targetPos1: RoomPosition | undefined;
    targetPos2: RoomPosition | undefined;
    targetPos3: RoomPosition | undefined;
    phase: 'setup' | 'run';
    running: number | undefined;
    test(): TestResult;
}
